Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] Abhängigkeitsprobleme [gelöst]  (Read 3563 times)

josh

  • Guest
[DE] Abhängigkeitsprobleme [gelöst]
« on: 2014/12/13, 12:12:15 »
Hallo,

im Moment komme ich mit dem DU nicht weiter.
Bis lang dachte ich es sei nur ein zeitliches Problem und versuchte immer wieder mal
einen DU, jedoch bleibt der Fehler erhalten.

Code: [Select]
Es wurden 78,4 kB in 15 s geholt (5.199 B/s).
Paketlisten werden gelesen... Fertig
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Probieren Sie »apt-get -f install«, um dies zu korrigieren.
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 libpam-systemd : Hängt ab von: systemd (= 215-5+b1) aber 215-8 ist installiert
E: Unerfüllte Abhängigkeiten. Versuchen Sie, -f zu benutzen.


apt-get -f install                       
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Abhängigkeiten werden korrigiert ... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
  libpam-systemd
Die folgenden Pakete werden aktualisiert (Upgrade):
  libpam-systemd
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 651 nicht aktualisiert.
24 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 120 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 51,2 kB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] j
Lese Changelogs... Fertig
dpkg: Abhängigkeitsprobleme verhindern Triggerverarbeitung für dbus:
dbus hängt ab von libexpat1 (>= 2.0.1); aber:
Paket libexpat1:amd64 ist noch nicht konfiguriert.

Für eine Hilfe wäre ich sehr dankbar.
« Last Edit: 2014/12/13, 17:42:32 by josh »

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.846
Re: Abhängigkeitsprobleme
« Reply #1 on: 2014/12/13, 12:24:31 »
Die Crux in diesem Fall ist:
Quote
Paket libexpat1:amd64 ist noch nicht konfiguriert.
Also solltest Du zuerst
Quote
dpkg --configure -a
ausführen, gefolgt von
Quote
apt-get -f install
und
Quote
apt-get dist-upgrade
« Last Edit: 2014/12/13, 14:20:58 by devil »

Offline reddark

  • User
  • Posts: 1.063
    • http://www.klangruinen.de/
Re: Abhängigkeitsprobleme
« Reply #2 on: 2014/12/13, 13:12:09 »
ich hab mich deshalb mit experimental und deinstall - install rumgeschlagen. Irgendwann hats dann geklappt, wie auch immer. Nur das ich jetzt einige experimental-teile drauf hab, aber es läuft ;)

josh

  • Guest
Re: Abhängigkeitsprobleme
« Reply #3 on: 2014/12/13, 17:39:37 »
Hallo Devil,

vielen Dank für die schnelle und konkrete Antwort !
Nun ist wieder alles in Butter.

Gruß